#include "/settings/GlobalSettings.glsl"

uniform int fogMode;
uniform sampler2D texture;
uniform sampler2D lightmap;

varying vec4 color;
varying vec4 texcoord;
varying vec4 lmcoord;

void main()
{
    vec4 glfinalcolor = texture2D(texture, texcoord.st) * color;
    #ifdef LIGHTLEVEL_ENABLED
    glfinalcolor = glfinalcolor * texture2D(lightmap, lmcoord.st);
    #endif
    gl_FragData[0] = glfinalcolor;
    #ifdef FOG_ENABLED
    if(fogMode == 9729)
        gl_FragData[0].rgb = mix(gl_Fog.color.rgb, gl_FragData[0].rgb, clamp((gl_Fog.end - gl_FogFragCoord) / (gl_Fog.end - gl_Fog.start), 0.0, 1.0));
    else if(fogMode == 2048)
        gl_FragData[0].rgb = mix(gl_Fog.color.rgb, gl_FragData[0].rgb, clamp(exp(-gl_FogFragCoord * gl_Fog.density), 0.0, 1.0));
    #endif
}